Перейти к содержанию
korotkovv

Что выбрать ocStore 2.3.0.2.1 или ocStore 2.1.0.2.1 для разработки нового магазина?

Рекомендуемые сообщения

Добрый день гуру и эксперты OpenCart. Хотел спросить специалистов, на какой версии платформы начинать делать новый магазин. Советуют ocStore 2.1.0.2.1, так как версия стабильная. Версию 2.3.0.2 говорят "плохая" сырая. Пару дней назад вышел релиз с версией 2.3.0.2.1. Вот у меня и вопрос что выбрать, чтоб не прогадать?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Вы явно устанавливать и запускать пустой магазин не будете. Необходим функционал от сторонних модулей. Сначало нужно выбрать какие модуля вам нужно для полноценной работы магазина, и учитывать то что для 2 версии почти все адаптированы для 2.1.0.2 (а для версии 2.3.0.2 могут неподойти).

 

 

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
8 минут назад, ArtemPitov сказал:

2.3.0.2.1  или ждать 3.0 :-)

А на сколько она стабильна? В сети пишут, что версия 2.3.0.2, мягко говоря сырая, ковырял 2.3.0.2  сам заметил пару глюков. До этого делал  магазины на 1.5.6. был очень доволен. Но надо переходить на новые версии.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
42 минуты назад, korotkovv сказал:

А на сколько она стабильна? В сети пишут, что версия 2.3.0.2, мягко говоря сырая, ковырял 2.3.0.2  сам заметил пару глюков. До этого делал  магазины на 1.5.6. был очень доволен. Но надо переходить на новые версии.

 

Напоминает ситуацию с 1с.

Многие разработчики отвергали 8.0 т.к. она сырая и с глюками.

Не сказать, что 7.7 была идеальна, но к глюкам 7.7 уже все привыкли.

Прошло 10 лет и разработчики 7.7 сейчас почти никому не нужны.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

chick, Согласен. Тоже склоняюсь к обновлениям, но не хочется ручками править ошибки, правки которых могут привести к ещё большим ошибкам))

Ситуация в том что нужно сделать клиенту магазин. И чтоб он стабильно работал, постоянный апгрейд системы и модернизация не нужны.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 час назад, korotkovv сказал:

chick, Согласен. Тоже склоняюсь к обновлениям, но не хочется ручками править ошибки, правки которых могут привести к ещё большим ошибкам))

Ситуация в том что нужно сделать клиенту магазин. И чтоб он стабильно работал, постоянный апгрейд системы и модернизация не нужны.

Тогда на данный момент рекомендую  2.1.0.2.1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

2.3.0.2  так как по архитектуре очень большие отличия (причем в лучшую сторону)  от 2.1

И 2.3.0.2 гораздо  ближе к 3.0 будет

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

До сих пор народ покупает модули под 1.5. К примеру. Вначале делал модули под 2 (когда начинал). Спустя энное время, попросили переделать под 1.5. Думаю, даже когда 3+ выйдет, 1.5-шные модули будут актуальными. Так что делайте выводы.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

devimirochnik, Обеими руками за! Естественно будут актуальны, их там много. Было, и осталось, много модулей из которых по той или другой причине ище даже в ОС2 нету... И гоняться за новыми версиями движка кому-то нет смысла, когда свой проект стабильно работает. Я даже не мог подумать что придеться мне возиться с ОС 2.0.1.0 когда стабильная 2.1.0.2.1 (Но желание клиента - закон...)

OpenCart это как ArchLinux/Gentoo как настроеш так и заработает. То же самое сравнение Win 7 и Win 8 или Win 10, много юзверов на 8? Или на 10? Думаю на Win 7 по каким-то соображении больше.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 22.02.2017 в 11:32, korotkovv сказал:

Добрый день гуру и эксперты OpenCart. Хотел спросить специалистов, на какой версии платформы начинать делать новый магазин. Советуют ocStore 2.1.0.2.1, так как версия стабильная. Версию 2.3.0.2 говорят "плохая" сырая. Пару дней назад вышел релиз с версией 2.3.0.2.1. Вот у меня и вопрос что выбрать, чтоб не прогадать?

ставь релиз ocStore последний и всё
или опенкарт.про - платный

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

считаю на сегодняшний день оптимально ставить опенкарт.про

хоть тут и говорят что многие ставят до сих пор 1.5, не думаю что это правда, модулей конечно к 1.5 много, но многие из них кривые и практически все уже не поддерживаются.

архитектура мягко говоря хромает, да и еще много нюансов которые дают минусы в 1.5 по сравнению к новым версиям.

мое мнение такое - хочешь головную боль - ставь 1.5

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
47 минут назад, kvr66 сказал:

считаю на сегодняшний день оптимально ставить опенкарт.про

хоть тут и говорят что многие ставят до сих пор 1.5, не думаю что это правда, модулей конечно к 1.5 много, но многие из них кривые и практически все уже не поддерживаются.

архитектура мягко говоря хромает, да и еще много нюансов которые дают минусы в 1.5 по сравнению к новым версиям.

мое мнение такое - хочешь головную боль - ставь 1.5

 

Никто не говорит, что нужно ставить 1.5. Тут речь немного о другом. Например, о том, что многие магазины остаются на тех версиях, на которых были сделаны. Переход от версии к версии может быть попросту нецелесообразным. 

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Начали за здравие, закончили за упокой... Почистил offtop о windows.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Мой личный выбор остановился на oc pro 2.3 - большинство модулей уже адаптировали, а вообще загляните в историю изменений версии и что где доработали:) 
А раз собирайтесь делать сайт клиенту и у вас возникают вопросы о выборе версии, мне кажется, лучше делегировать такие задачи на тех кто этим зарабатывает
и он сделает правильный выбор версии и какими модулями решать ту или иную задачу) Только время выиграйте )
 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Есть вопрос к профи касаемо версии 2.1 vs 2.3.

В чем существенная разница и если перейти на версию с ВАШЕЙ помощью / или исправить!

есть нюанс обновления!

 

Кому интересен вопрос, то можно в личку!

оплату обсудим!

Спасибо

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Похожий контент

    • От mihlosk
      Ищу модуль "Сопутствующий товары под ocStore 2.1.0.2.1" . Искал здесь на форуме, не смог найти.Не сочтите за труд,подскажите скудоумному существует ли такой модуль и где его можно поискать. 
    • От cleargoal
      имеется установленный магазин ocstore 2.1.0.2.1 на тестовом домене http://status-test.aversadvertising.com/ установлен шаблон Journal (https://www.journal-theme.com/ выбрали вариант Journal5 и частично изменили  его) написали коротенькое ТЗ - прикрепляю сюда, пример выгрузки товара (структура данных) здесь https://drive.google.com/open?id=0B4yMztiu_T6YUW1sblhaNFQxSEE другие структуры еще в доработке у 1С-ника Приглашаю к разработке нужного нам функционала.
      с удовольствием отвечу на все вопросы
      ТЗ интернет магазина сумки - 4 - 18-11-2017.docx
    • От Alfabanner
      Перестали приходить письма об оформленном заказе, до этого момента все работало
      Запросил лог отправки писем у хостера. 
      Так же обнаружил, что нет пункта меню (поля): Получать оповещения. Есть другой сайт на OpenCart v2.3.0.2 (rs.5) - там все работает и есть такое поле 
      Тоесть я не могу поставить галочки "Новый заказ", Регистрация клиента, Регистрация партнера, Отзыв о товаре
      Прилагаю скриншот. Скажите, пожалуйста, должно ли быть это поле "Получать оповещения" в версии 2.1.0.2.1? 
       

    • От HaisenbergEx
      Хотелось бы чтобы в карточке товара в Модулях была отображена категория этого товара,но не весь путь, а только последняя категория, допустим есть Категория "Столы" и в ней подкатегории (Компьютерные, Офисные, Кухонные), вот чтобы отображалась именно подкатегория (Компьютерные, офисные и тд) ocStore 2.1.0.2.1
      Пример на скриншоте

    • От Temkaaaaa
      Warning: Invalid argument supplied for foreach() in /var/www/admin/data/www/stock1.euvector.com/system/storage/modification/catalog/view/theme/newstore/template/product/product.tpl on line 1295Warning: Invalid argument supplied for foreach() in /var/www/admin/data/www/stock1.euvector.com/system/storage/modification/catalog/view/theme/newstore/template/product/product.tpl on line 1306  -  http://prntscr.com/fhteeu
       
      Установил модуль - .................................., раньше ставил все норм было, сейчас БЕДА!
  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.